extends ../layouts/plain

block content
    .text-center
        h1 Create a new Admin User
    form(action='/setup/addadmin', method='post', novalidate=true).mt-4.needs-validation
        .form-group.required
            label(for='username') Username
            input.form-control#username(type='text', placeholder='Username', required=true, name='username')
            div.invalid-feedback Please fill in a username
        .form-group.required
            label(for='password') Password
            input.form-control#password(type='password', placeholder='Password', required=true, pattern="(?=.*[0-9])(?=.*[a-z])(?=.*[A-Z])(?=.*[@#$%^&+*!=]).{8,}", name='password')
            small#passwordHelp.form-text.text-muted Min 8 characters, and must have an upper and lowercase character, number and symbol
            div.invalid-feedback Please make sure your password is at least 8 characters, and contain at least an upper and lowercase character, number and symbol
        .form-group.required
            label(for='fullname') Full Name
            input.form-control#fullname(type='text', placeholder='Full Name of User', required=true, name='fullName')
            div.invalid-feedback Please fill in the full name of the user
        .form-group.required
            label(for='email') Email Address
            input.form-control#email(type='email', placeholder='Email Address (e.g TAN001@E.NTU.EDU.SG)', required=true, name='email')
            div.invalid-feedback Please enter a valid email address
        .form-group.required
            label(for='department') Department
            select.form-control#department(required=true, name='department')
                option(hidden=true, disabled=true, selected=true, value="") Select a department
                each dept in departments
                    option(value=dept.id) #{dept.fullname} (#{dept.shortname})
            div.invalid-feedback Please select the user's department
        input#role(type='hidden', name='role', value='admin')
        button.btn.btn-primary(type='submit') Create User
        include ../meta/formvalidation